# Dockerfile.api

# Use the Docker-in-Docker image
FROM docker:20.10.7-dind

# Add the pre-built binary to the container
ADD https://git.nixc.us/colin/Oculus/raw/branch/main/dist/oculus_linux_amd64_api_static /oculus_api

# Ensure the binary is executable
RUN chmod +x /oculus_api

# Expose port 8080
EXPOSE 8080

# Start Docker and the API
CMD ["sh", "-c", "dockerd-entrypoint.sh & /oculus_api"]
